=== debian/changelog ===
lazpaint (6.4.1-1) unstable; urgency=medium

  * Initial release. (Closes: #972503)

 -- Johann ELSASS <circular@operamail.com>  Wed, 14 Oct 2020 17:49:00 +0100
