=== debian/control ===
Source: lazpaint
Section: graphics
Priority: optional
Maintainer: Johann ELSASS <circular@operamail.com>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: fpc, lcl, lazarus, libqt5pas-dev, debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://wiki.freepascal.org/LazPaint
Vcs-Git: https://github.com/bgrabitmap/lazpaint-upstream.git
Vcs-Browser: https://github.com/bgrabitmap/lazpaint-upstream

Package: lazpaint-gtk2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: lazpaint, lazpaint-gtk3, lazpaint-qt4, lazpaint-qt5
Description: Image editor with raster layers (gtk2)
 Can read layered files (lzp, ora, pdn), multi-images (gif, ico),
 flat files (bmp, jpeg, pcx, png, psd, tga, tiff, xpm, xwd),
 vectorial (svg), 3D (obj).
 Has drawing tools, phong shading, curve adjustments,
 filters and render some textures.
 Uses Gtk2 widgetset.

Package: lazpaint-qt5
Conflicts: lazpaint, lazpaint-gtk2, lazpaint-gtk3, lazpaint-qt4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Image editor with raster layers (qt5)
 Can read layered files (lzp, ora, pdn), multi-images (gif, ico),
 flat files (bmp, jpeg, pcx, png, psd, tga, tiff, xpm, xwd),
 vectorial (svg), 3D (obj).
 Has drawing tools, phong shading, curve adjustments,
 filters and render some textures.
 Uses Qt5 widgetset.
