=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --no-parallel
	
override_dh_auto_build:
	dh_auto_build --no-parallel -- MULTIBIN=1 TARGET=Gtk2
	dh_auto_build --no-parallel -- MULTIBIN=1 TARGET=Qt5

override_dh_auto_install:
	dh_auto_install --no-parallel -- MULTIBIN=1 TARGET=Gtk2
	dh_auto_install --no-parallel -- MULTIBIN=1 TARGET=Qt5

override_dh_auto_clean:
	dh_auto_clean --no-parallel -- MULTIBIN=1 TARGET=Gtk2
	dh_auto_clean --no-parallel -- MULTIBIN=1 TARGET=Qt5
