=== debian/changelog ===
lazpaint (7.1.6-1) unstable; urgency=medium

  * new upstream version
  * d/control: update description with new features
  * d/copyright:
    - add entry for bgrabitmap folder (Closes: #973774)
    - add copyright for new files
    - use license LGPL-3-linking-exception
  * d/rules: update rules to specify usage of custom packages

 -- Johann ELSASS <circular@operamail.com>  Fri, 4 Dec 2020 08:35:00 +0100
