=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/lazpaint-$1\.tar\.gz/ \
  https://github.com/bgrabitmap/lazpaint/tags .*/v?(\d\S+)\.tar\.gz
