=== debian/changelog ===
lazpaint (7.2.2-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 26 Sep 2022 15:25:17 -0700

lazpaint (7.2.2-1) unstable; urgency=medium

  * New upstream version. (Closes: #1005672)
  * d/control: update description with new features

  [ Gürkan Myczko ]
  * Bump standards version to 4.6.1.
  * d/copyright: bump years.
  * d/control: wrap build-depends.

 -- Johann ELSASS <circular@fastmail.com>  Tue, 23 Aug 2022 10:35:00 +0100
