=== debian/rules ===
--- 
+++ 
@@ -24,3 +24,7 @@
 override_dh_auto_clean:
 	dh_auto_clean --no-parallel -- MULTIBIN=1 TARGET=Gtk2 FOREIGN_LPK=1
 	dh_auto_clean --no-parallel -- MULTIBIN=1 TARGET=Qt5 FOREIGN_LPK=1
+
+# No dbgsym package:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
