=== debian/changelog ===
lazpaint (7.2.2.1-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Mon, 22 Jul 2024 12:31:36 +0000

lazpaint (7.2.2.1-1) unstable; urgency=medium

  * New upstream version. (Closes: #1061003)
  * d/copyright: bump years, update email.
  * Bump standards version to 4.6.2.

 -- Gürkan Myczko <tar@debian.org>  Mon, 22 Jan 2024 12:29:00 +0100

lazpaint (7.2.2-2) unstable; urgency=medium

  * Add libgtk2.0-dev to build-depends. (Closes: #1026718)
  * Update maintainer address.

 -- Gürkan Myczko <tar@debian.org>  Mon, 09 Jan 2023 15:07:09 +0100
