=== debian/control ===
--- 
+++ 
@@ -1,12 +1,17 @@
 Source: lazpaint
 Section: graphics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Johann ELSASS <circular@fastmail.com>
-Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper-compat (= 13), fpc, lazarus, lcl, libqt5pas-dev
+Maintainer: Johann ELSASS <circular@fastmail.com>
+Uploaders: Alex Myczko <tar@debian.org>
+Build-Depends:
+ fpc,
+ lcl,
+ lazarus,
+ libqt5pas-dev,
+ libgtk2.0-dev,
+ debhelper-compat (= 13)
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://wiki.freepascal.org/LazPaint
 Vcs-Git: https://github.com/bgrabitmap/lazpaint-upstream.git
 Vcs-Browser: https://github.com/bgrabitmap/lazpaint-upstream
