=== debian/changelog ===
lazpaint (7.3-1) unstable; urgency=medium

  * New upstream version.
  * d/control: update first name of maintainer
  * d/control: update project homepage.
  * d/copyright: update first name of maintainer.
  * d/copyright: remove address of the Free Software Foundation.
  * d/watch: add PGP signing to source repository.
  * Bump standards version to 4.7.2.

  [ Alex Myczko ]
  * Ack NMU.

 -- Juliette ELSASS <circular@fastmail.com>  Tue, 27 May 2025 18:31:00 +0100

lazpaint (7.2.2.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Point Vcs fields to salsa. (Closes: #1093813)
  * Drop lazpaint-gtk2. (Closes: #1052333)

 -- Bastian Germann <bage@debian.org>  Thu, 23 Jan 2025 00:05:41 +0100
