=== debian/control ===
Source: lazpaint
Section: graphics
Priority: optional
Maintainer: Juliette ELSASS <circular@fastmail.com>
Uploaders: Alex Myczko <tar@debian.org>
Build-Depends:
 fpc,
 lcl,
 lazarus,
 libqt5pas-dev,
 debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://lazpaint.github.io/
Vcs-Git: https://salsa.debian.org/debian/lazpaint.git
Vcs-Browser: https://salsa.debian.org/debian/lazpaint

Package: lazpaint-qt5
Conflicts: lazpaint, lazpaint-gtk2, lazpaint-gtk3, lazpaint-qt4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Image editor with raster and  vector layers (qt5)
 Can read layered files (lzp, ora, pdn, oXo, flat psd), multi-images (gif,
 ico, tiff), flat files (avif, bmp, jpeg, pcx, png, tga, webp, xpm, xwd),
 raw images (dng, cr2, nef, arw...), vectorial (svg), 3D (obj). Has drawing
 tools, vector shapes, phong shading, curve adjustments, filters, render
 some textures, Python scripting.
 Uses Qt5 widgetset.
