=== debian/watch ===
version=4
opts=\
  filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/lazpaint-$1\.tar\.gz/,\
  pgpsigurlmangle=s/.+\/v?(\d\S+)\.tar\.gz/https:\/\/github.com\/bgrabitmap\/lazpaint\/releases\/download\/v$1\/lazpaint-$1\.tar\.gz\.asc/ \
  https://github.com/bgrabitmap/lazpaint/tags .*/v?(\d\S+)\.tar\.gz
